Bug 1655614 - Bug/typo in scap-security-guide ansible fix for auditd.conf
Summary: Bug/typo in scap-security-guide ansible fix for auditd.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: pre-dev-freeze
: ---
Assignee: Watson Yuuma Sato
QA Contact: Jan Černý
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 14:47 UTC by wclark
Modified: 2020-01-08 12:57 UTC (History)
8 users (show)

Fixed In Version: scap-security-guide-0.1.43-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:04:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2198 None None None 2019-08-06 13:04:20 UTC

Description wclark 2018-12-03 14:47:32 UTC
What problem/issue/behavior are you having trouble with?  What do you expect to see?

"The package scap-security-guide-0.1.40-12 contains the file /usr/share/scap-security-guide/ansible/ssg-rhel7-role-C2S.yml. 

This Ansible playbook contains two tasks that insert errors into the /etc/audit/auditd.conf file:

On line 2756, the task "Configure auditd Max Log File Size" is missing an "=" in the line it inserts for "max_log_file".

On line 2841, the task "Configure auditd max_log_file_action Upon Reaching Maximum Log Size" is missing an "=" in the line it inserts for "max_log_file_action".

In fact, this typo appears to be present in several of the playbooks in that folder.

This causes us difficulty in using the provided ansible fix playbooks because we have to use --skip-tasks to disable these fixes."

Thanks to Bryan Parry from Red Hat for originally reporting this issue.

Comment 3 Ondřej Pražák 2018-12-04 07:14:22 UTC
Moving out of Satellite6 as scap-security-guide comes from rhel repos.

Comment 5 Watson Yuuma Sato 2018-12-04 16:35:04 UTC
Hello, thank you for filing this issue, moving to scap-security-guide component.

This bug should already be fixed in upstream SSG 0.1.41.
https://github.com/ComplianceAsCode/content/pull/3270

Comment 6 Bryan Parry 2018-12-04 16:54:59 UTC
(In reply to Watson Yuuma Sato from comment #5)
> Hello, thank you for filing this issue, moving to scap-security-guide
> component.
> 
> This bug should already be fixed in upstream SSG 0.1.41.
> https://github.com/ComplianceAsCode/content/pull/3270

Thank you for providing the link to upstream!

Comment 11 errata-xmlrpc 2019-08-06 13:04:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2198


Note You need to log in before you can comment on or make changes to this bug.